Bug 1305495 - Unable to create new partition on s390x: KeyError: 'dasd'
Unable to create new partition on s390x: KeyError: 'dasd'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blivet-gui (Show other bugs)
23
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2016-02-08 07:34 EST by Jan Stodola
Modified: 2016-03-03 15:25 EST (History)
2 users (show)

See Also:
Fixed In Version: blivet-gui-1.0.4-1 blivet-gui-1.0.4-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 15:25:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adding new partition on DASD (422.05 KB, text/plain)
2016-02-08 07:35 EST, Jan Stodola
no flags Details
adding new partition on zFCP (154.43 KB, text/plain)
2016-02-08 07:35 EST, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2016-02-08 07:34:08 EST
Description of problem:
An attempt to create a new partition on a DASD disk using blivet-gui fails with the following traceback:

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/blivetgui/blivetgui.py", line 437, in add_partition
    self.kickstart_mode)
  File "/usr/lib/python3.4/site-packages/blivetgui/dialogs/add_dialog.py", line 259, in __init__
    self.devices_combo = self.add_device_chooser()
  File "/usr/lib/python3.4/site-packages/blivetgui/dialogs/add_dialog.py", line 302, in add_device_chooser
    devices = map_type_devices[self.parent_type]
KeyError: 'dasd'

A similar issue when attempting to create a new partition on a zFCP disk. Both tracebacks will be attached.


Version-Release number of selected component (if applicable):
blivet-gui-1.0.3-1.fc23

How reproducible:
always

Steps to Reproduce:
1. run blivet-gui on s390x
2. erase any existing partitions on a zFCP/DASD device
3. try to create a new partition

Actual results:
A traceback

Expected results:
Able to proceed with creating a partition
Comment 1 Jan Stodola 2016-02-08 07:35 EST
Created attachment 1122151 [details]
adding new partition on DASD
Comment 2 Jan Stodola 2016-02-08 07:35 EST
Created attachment 1122152 [details]
adding new partition on zFCP
Comment 3 Fedora Update System 2016-02-23 05:49:41 EST
blivet-gui-1.0.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6d0b744b24
Comment 4 Fedora Update System 2016-02-24 16:51:20 EST
blivet-gui-1.0.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6d0b744b24
Comment 5 Jan Stodola 2016-03-01 09:04:03 EST
Retested with blivet-gui-1.0.4-1.fc23, it works fine now. (tried both DASD and zFCP devices)
Thanks!
Comment 6 Fedora Update System 2016-03-03 15:25:28 EST
blivet-gui-1.0.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.